Index: events/src/main/java/geniusweb/actions/Accept.java
===================================================================
--- events/src/main/java/geniusweb/actions/Accept.java	(revision 32)
+++ events/src/main/java/geniusweb/actions/Accept.java	(revision 33)
@@ -3,5 +3,4 @@
 import com.fasterxml.jackson.annotation.JsonCreator;
 import com.fasterxml.jackson.annotation.JsonProperty;
-import com.fasterxml.jackson.annotation.JsonTypeName;
 
 import geniusweb.issuevalue.Bid;
@@ -12,5 +11,4 @@
  * {@link Offer}ed by some party.
  */
-@JsonTypeName("accept")
 public class Accept extends ActionWithBid {
 
Index: events/src/main/java/geniusweb/actions/EndNegotiation.java
===================================================================
--- events/src/main/java/geniusweb/actions/EndNegotiation.java	(revision 32)
+++ events/src/main/java/geniusweb/actions/EndNegotiation.java	(revision 33)
@@ -3,5 +3,4 @@
 import com.fasterxml.jackson.annotation.JsonCreator;
 import com.fasterxml.jackson.annotation.JsonProperty;
-import com.fasterxml.jackson.annotation.JsonTypeName;
 
 /**
@@ -9,5 +8,4 @@
  *
  */
-@JsonTypeName("endnegotiation")
 public class EndNegotiation extends AbstractAction {
 
Index: events/src/main/java/geniusweb/actions/FileLocation.java
===================================================================
--- events/src/main/java/geniusweb/actions/FileLocation.java	(revision 32)
+++ events/src/main/java/geniusweb/actions/FileLocation.java	(revision 33)
@@ -43,11 +43,4 @@
 	@JsonCreator
 	public FileLocation(UUID name) {
-		this.name = name;
-	}
-
-	/**
-	 * Default constructor creates a new "random" FileLocation.
-	 */
-	public FileLocation() {
 		if (!rootfolder.exists()) {
 			rootfolder.mkdir();
@@ -55,9 +48,16 @@
 					.println("created FileLocation root dir at " + rootfolder);
 		}
-		this.name = UUID.randomUUID();
+
+		this.name = name;
 	}
 
 	/**
-	 * 
+	 * Creates a new "random" FileLocation.
+	 */
+	public FileLocation() {
+		this(UUID.randomUUID());
+	}
+
+	/**
 	 * @return the UUID string
 	 */
Index: events/src/main/java/geniusweb/actions/Offer.java
===================================================================
--- events/src/main/java/geniusweb/actions/Offer.java	(revision 32)
+++ events/src/main/java/geniusweb/actions/Offer.java	(revision 33)
@@ -3,5 +3,4 @@
 import com.fasterxml.jackson.annotation.JsonCreator;
 import com.fasterxml.jackson.annotation.JsonProperty;
-import com.fasterxml.jackson.annotation.JsonTypeName;
 
 import geniusweb.issuevalue.Bid;
@@ -12,5 +11,4 @@
  * accepts the offer himself.
  */
-@JsonTypeName("offer")
 public class Offer extends ActionWithBid {
 
Index: events/src/main/java/geniusweb/actions/Vote.java
===================================================================
--- events/src/main/java/geniusweb/actions/Vote.java	(revision 32)
+++ events/src/main/java/geniusweb/actions/Vote.java	(revision 33)
@@ -3,5 +3,4 @@
 import com.fasterxml.jackson.annotation.JsonCreator;
 import com.fasterxml.jackson.annotation.JsonProperty;
-import com.fasterxml.jackson.annotation.JsonTypeName;
 
 import geniusweb.issuevalue.Bid;
@@ -11,5 +10,4 @@
  * then up to the protocol to determine the outcome.
  */
-@JsonTypeName("vote")
 public class Vote extends ActionWithBid {
 	private final Integer minPower;
Index: events/src/main/java/geniusweb/actions/VoteWithValue.java
===================================================================
--- events/src/main/java/geniusweb/actions/VoteWithValue.java	(revision 32)
+++ events/src/main/java/geniusweb/actions/VoteWithValue.java	(revision 33)
@@ -3,5 +3,4 @@
 import com.fasterxml.jackson.annotation.JsonCreator;
 import com.fasterxml.jackson.annotation.JsonProperty;
-import com.fasterxml.jackson.annotation.JsonTypeName;
 
 import geniusweb.issuevalue.Bid;
@@ -11,5 +10,4 @@
  * then up to the protocol to determine the outcome.
  */
-@JsonTypeName("votewithvalue")
 public class VoteWithValue extends ActionWithBid {
 	private final Integer minPower;
Index: events/src/main/java/geniusweb/events/ActionEvent.java
===================================================================
--- events/src/main/java/geniusweb/events/ActionEvent.java	(revision 32)
+++ events/src/main/java/geniusweb/events/ActionEvent.java	(revision 33)
@@ -3,5 +3,4 @@
 import com.fasterxml.jackson.annotation.JsonCreator;
 import com.fasterxml.jackson.annotation.JsonProperty;
-import com.fasterxml.jackson.annotation.JsonTypeName;
 
 import geniusweb.actions.Action;
@@ -11,5 +10,4 @@
  *
  */
-@JsonTypeName("actionevent")
 public class ActionEvent extends AbstractEvent {
 
Index: events/src/main/java/geniusweb/events/SessionStarted.java
===================================================================
--- events/src/main/java/geniusweb/events/SessionStarted.java	(revision 32)
+++ events/src/main/java/geniusweb/events/SessionStarted.java	(revision 33)
@@ -5,9 +5,7 @@
 import com.fasterxml.jackson.annotation.JsonCreator;
 import com.fasterxml.jackson.annotation.JsonProperty;
-import com.fasterxml.jackson.annotation.JsonTypeName;
 
 import geniusweb.actions.PartyId;
 
-@JsonTypeName("sessionstarted")
 public class SessionStarted extends ProtocolEvent {
 	private Long sessionNumber;
Index: events/src/main/java/geniusweb/events/TournamentStarted.java
===================================================================
--- events/src/main/java/geniusweb/events/TournamentStarted.java	(revision 32)
+++ events/src/main/java/geniusweb/events/TournamentStarted.java	(revision 33)
@@ -1,7 +1,4 @@
 package geniusweb.events;
 
-import com.fasterxml.jackson.annotation.JsonTypeName;
-
-@JsonTypeName("tournamentstarted")
 public class TournamentStarted extends ProtocolEvent {
 	private Long numberOfSessions;
Index: events/src/main/java/geniusweb/inform/Finished.java
===================================================================
--- events/src/main/java/geniusweb/inform/Finished.java	(revision 32)
+++ events/src/main/java/geniusweb/inform/Finished.java	(revision 33)
@@ -24,5 +24,5 @@
 	}
 
-	public Agreements getAgreement() {
+	public Agreements getAgreements() {
 		return agreements;
 	}
Index: events/src/test/java/geniusweb/actions/AcceptTest.java
===================================================================
--- events/src/test/java/geniusweb/actions/AcceptTest.java	(revision 32)
+++ events/src/test/java/geniusweb/actions/AcceptTest.java	(revision 33)
@@ -36,5 +36,5 @@
 	private final static Value VALUE2 = new NumberValue("10");
 	// issue 2 is NUMBER and thus serializes with leading '='
-	private final String acceptstring = "{\"accept\":{\"actor\":\"party1\",\"bid\":{\"issuevalues\":{\"issue2\":10,\"issue1\":\"value1\"}}}}";
+	private final String acceptstring = "{\"Accept\":{\"actor\":\"party1\",\"bid\":{\"issuevalues\":{\"issue2\":10,\"issue1\":\"value1\"}}}}";
 
 	private static Accept accept, accept1, accept2, acceptb;
Index: events/src/test/java/geniusweb/actions/EndNegoTest.java
===================================================================
--- events/src/test/java/geniusweb/actions/EndNegoTest.java	(revision 32)
+++ events/src/test/java/geniusweb/actions/EndNegoTest.java	(revision 33)
@@ -24,5 +24,5 @@
 	private final EndNegotiation endnegob = new EndNegotiation(idb);
 
-	private final String endnegostring = "{\"endnegotiation\":{\"actor\":\"party1\"}}";
+	private final String endnegostring = "{\"EndNegotiation\":{\"actor\":\"party1\"}}";
 
 	@Override
Index: events/src/test/java/geniusweb/actions/OfferTest.java
===================================================================
--- events/src/test/java/geniusweb/actions/OfferTest.java	(revision 32)
+++ events/src/test/java/geniusweb/actions/OfferTest.java	(revision 33)
@@ -32,5 +32,5 @@
 	private static final String ISSUE2 = "issue2";
 	private static final Value VALUE2 = new NumberValue("10");
-	private static final String acceptstring = "{\"offer\":{\"actor\":\"party1\",\"bid\":{\"issuevalues\":{\"issue2\":10,\"issue1\":\"value1\"}}}}";
+	private static final String acceptstring = "{\"Offer\":{\"actor\":\"party1\",\"bid\":{\"issuevalues\":{\"issue2\":10,\"issue1\":\"value1\"}}}}";
 
 	private static Offer offer;
Index: events/src/test/java/geniusweb/actions/VoteTest.java
===================================================================
--- events/src/test/java/geniusweb/actions/VoteTest.java	(revision 32)
+++ events/src/test/java/geniusweb/actions/VoteTest.java	(revision 33)
@@ -35,5 +35,5 @@
 	private final static Value VALUE2 = new NumberValue("10");
 	// issue 2 is NUMBER and thus serializes with leading '='
-	private final String votestring = "{\"vote\":{\"actor\":\"party1\",\"bid\":{\"issuevalues\":{\"issue2\":10,\"issue1\":\"value1\"}},\"minPower\":1,\"maxPower\":2}}";
+	private final String votestring = "{\"Vote\":{\"actor\":\"party1\",\"bid\":{\"issuevalues\":{\"issue2\":10,\"issue1\":\"value1\"}},\"minPower\":1,\"maxPower\":2}}";
 
 	private static Vote vote1, vote1a, vote2, vote3, vote4, vote5;
Index: events/src/test/java/geniusweb/actions/VoteWithValueTest.java
===================================================================
--- events/src/test/java/geniusweb/actions/VoteWithValueTest.java	(revision 32)
+++ events/src/test/java/geniusweb/actions/VoteWithValueTest.java	(revision 33)
@@ -35,5 +35,5 @@
 	private final static Value VALUE2 = new NumberValue("10");
 	// issue 2 is NUMBER and thus serializes with leading '='
-	private final String votestring = "{\"votewithvalue\":{\"actor\":\"party1\",\"bid\":{\"issuevalues\":{\"issue2\":10,\"issue1\":\"value1\"}},\"minPower\":1,\"maxPower\":2,\"value\":10}}";
+	private final String votestring = "{\"VoteWithValue\":{\"actor\":\"party1\",\"bid\":{\"issuevalues\":{\"issue2\":10,\"issue1\":\"value1\"}},\"minPower\":1,\"maxPower\":2,\"value\":10}}";
 
 	private static VoteWithValue vote1, vote1a, vote2, vote3, vote4, vote5,
Index: events/src/test/java/geniusweb/actions/VotesTest.java
===================================================================
--- events/src/test/java/geniusweb/actions/VotesTest.java	(revision 32)
+++ events/src/test/java/geniusweb/actions/VotesTest.java	(revision 33)
@@ -22,5 +22,5 @@
 public class VotesTest extends GeneralTests<Votes> {
 	private final ObjectMapper jackson = new ObjectMapper();
-	private final String votestring = "{\"Votes\":{\"actor\":\"partyA\",\"votes\":[{\"vote\":{\"actor\":\"partyA\",\"bid\":{\"issuevalues\":{\"is1\":\"val1\"}},\"minPower\":2,\"maxPower\":9}},{\"vote\":{\"actor\":\"partyA\",\"bid\":{\"issuevalues\":{\"is1\":\"val2\"}},\"minPower\":2,\"maxPower\":9}}]}}";
+	private final String votestring = "{\"Votes\":{\"actor\":\"partyA\",\"votes\":[{\"Vote\":{\"actor\":\"partyA\",\"bid\":{\"issuevalues\":{\"is1\":\"val1\"}},\"minPower\":2,\"maxPower\":9}},{\"Vote\":{\"actor\":\"partyA\",\"bid\":{\"issuevalues\":{\"is1\":\"val2\"}},\"minPower\":2,\"maxPower\":9}}]}}";
 
 	private PartyId partyA = new PartyId("partyA");
Index: events/src/test/java/geniusweb/actions/VotesWithValueTest.java
===================================================================
--- events/src/test/java/geniusweb/actions/VotesWithValueTest.java	(revision 32)
+++ events/src/test/java/geniusweb/actions/VotesWithValueTest.java	(revision 33)
@@ -22,5 +22,5 @@
 public class VotesWithValueTest extends GeneralTests<VotesWithValue> {
 	private final ObjectMapper jackson = new ObjectMapper();
-	private final String votestring = "{\"VotesWithValue\":{\"actor\":\"partyA\",\"votes\":[{\"votewithvalue\":{\"actor\":\"partyA\",\"bid\":{\"issuevalues\":{\"is1\":\"val1\"}},\"minPower\":2,\"maxPower\":9,\"value\":30}},{\"votewithvalue\":{\"actor\":\"partyA\",\"bid\":{\"issuevalues\":{\"is1\":\"val2\"}},\"minPower\":2,\"maxPower\":9,\"value\":70}}]}}";
+	private final String votestring = "{\"VotesWithValue\":{\"actor\":\"partyA\",\"votes\":[{\"VoteWithValue\":{\"actor\":\"partyA\",\"bid\":{\"issuevalues\":{\"is1\":\"val1\"}},\"minPower\":2,\"maxPower\":9,\"value\":30}},{\"VoteWithValue\":{\"actor\":\"partyA\",\"bid\":{\"issuevalues\":{\"is1\":\"val2\"}},\"minPower\":2,\"maxPower\":9,\"value\":70}}]}}";
 
 	private PartyId partyA = new PartyId("partyA");
Index: events/src/test/java/geniusweb/events/ActionEventTest.java
===================================================================
--- events/src/test/java/geniusweb/events/ActionEventTest.java	(revision 32)
+++ events/src/test/java/geniusweb/events/ActionEventTest.java	(revision 33)
@@ -21,5 +21,5 @@
 	private static final long NOW = 101l;
 	private final ObjectMapper jackson = new ObjectMapper();
-	private final String string = "{\"actionevent\":{\"action\":{\"endnegotiation\":{\"actor\":\"party1\"}},\"time\":101}}";
+	private final String string = "{\"ActionEvent\":{\"action\":{\"EndNegotiation\":{\"actor\":\"party1\"}},\"time\":101}}";
 	private final PartyId id = new PartyId("party1");
 	private final Action action = new EndNegotiation(id);
Index: events/src/test/java/geniusweb/events/SessionStartedTest.java
===================================================================
--- events/src/test/java/geniusweb/events/SessionStartedTest.java	(revision 32)
+++ events/src/test/java/geniusweb/events/SessionStartedTest.java	(revision 33)
@@ -41,5 +41,5 @@
 			SESSIONNR, parties, NOW);
 	// jackson expected format.
-	private static String sessionstartedstring = "{\"sessionstarted\":{\"sessionNumber\":1,\"parties\":[\"party1\",\"party2\"],\"time\":101}}";
+	private static String sessionstartedstring = "{\"SessionStarted\":{\"sessionNumber\":1,\"parties\":[\"party1\",\"party2\"],\"time\":101}}";
 	// "{\"sessionstarted\":{\"time\":101,\"sessionNumber\":1,\"parties\":[\"party1\",\"party2\"]}}";
 	public static String expectedstring = "SessionStarted.*101.*";
Index: events/src/test/java/geniusweb/events/TournamentStartedTest.java
===================================================================
--- events/src/test/java/geniusweb/events/TournamentStartedTest.java	(revision 32)
+++ events/src/test/java/geniusweb/events/TournamentStartedTest.java	(revision 33)
@@ -33,5 +33,5 @@
 			NSESSIONS, NOW1);
 
-	private String tournamentstartedstring = "{\"tournamentstarted\":{\"time\":101,\"numberOfSessions\":5}}";
+	private String tournamentstartedstring = "{\"TournamentStarted\":{\"time\":101,\"numberOfSessions\":5}}";
 
 	@Override
Index: events/src/test/java/geniusweb/inform/ActionDoneTest.java
===================================================================
--- events/src/test/java/geniusweb/inform/ActionDoneTest.java	(revision 32)
+++ events/src/test/java/geniusweb/inform/ActionDoneTest.java	(revision 33)
@@ -24,5 +24,5 @@
 	private static final PartyId id2 = new PartyId("party2");
 
-	private final String actiondonestr = "{\"ActionDone\":{\"action\":{\"endnegotiation\":{\"actor\":\"party1\"}}}}";
+	private final String actiondonestr = "{\"ActionDone\":{\"action\":{\"EndNegotiation\":{\"actor\":\"party1\"}}}}";
 
 	private final static Action act1 = new EndNegotiation(id);
Index: events/src/test/java/geniusweb/inform/OptInTest.java
===================================================================
--- events/src/test/java/geniusweb/inform/OptInTest.java	(revision 32)
+++ events/src/test/java/geniusweb/inform/OptInTest.java	(revision 33)
@@ -42,5 +42,5 @@
 	private final OptIn optIn2 = new OptIn(Arrays.asList(votesA));
 
-	private String asJson = "{\"OptIn\":{\"votes\":[{\"Votes\":{\"actor\":\"partyA\",\"votes\":[{\"vote\":{\"actor\":\"partyA\",\"bid\":{\"issuevalues\":{\"iss\":\"val1\"}},\"minPower\":2,\"maxPower\":9}}]}},{\"Votes\":{\"actor\":\"partyB\",\"votes\":[{\"vote\":{\"actor\":\"partyB\",\"bid\":{\"issuevalues\":{\"iss\":\"val2\"}},\"minPower\":2,\"maxPower\":9}},{\"vote\":{\"actor\":\"partyB\",\"bid\":{\"issuevalues\":{\"iss\":\"val1\"}},\"minPower\":2,\"maxPower\":9}}]}}]}}";
+	private String asJson = "{\"OptIn\":{\"votes\":[{\"Votes\":{\"actor\":\"partyA\",\"votes\":[{\"Vote\":{\"actor\":\"partyA\",\"bid\":{\"issuevalues\":{\"iss\":\"val1\"}},\"minPower\":2,\"maxPower\":9}}]}},{\"Votes\":{\"actor\":\"partyB\",\"votes\":[{\"Vote\":{\"actor\":\"partyB\",\"bid\":{\"issuevalues\":{\"iss\":\"val2\"}},\"minPower\":2,\"maxPower\":9}},{\"Vote\":{\"actor\":\"partyB\",\"bid\":{\"issuevalues\":{\"iss\":\"val1\"}},\"minPower\":2,\"maxPower\":9}}]}}]}}";
 
 	@Override
Index: events/src/test/java/geniusweb/inform/OptInWithValueTest.java
===================================================================
--- events/src/test/java/geniusweb/inform/OptInWithValueTest.java	(revision 32)
+++ events/src/test/java/geniusweb/inform/OptInWithValueTest.java	(revision 33)
@@ -49,5 +49,5 @@
 			Arrays.asList(votesA));
 
-	private String asJson = "{\"OptInWithValue\":{\"votes\":[{\"VotesWithValue\":{\"actor\":\"partyA\",\"votes\":[{\"votewithvalue\":{\"actor\":\"partyA\",\"bid\":{\"issuevalues\":{\"iss\":\"val1\"}},\"minPower\":2,\"maxPower\":9,\"value\":100}}]}},{\"VotesWithValue\":{\"actor\":\"partyB\",\"votes\":[{\"votewithvalue\":{\"actor\":\"partyB\",\"bid\":{\"issuevalues\":{\"iss\":\"val1\"}},\"minPower\":2,\"maxPower\":9,\"value\":60}},{\"votewithvalue\":{\"actor\":\"partyB\",\"bid\":{\"issuevalues\":{\"iss\":\"val2\"}},\"minPower\":2,\"maxPower\":9,\"value\":40}}]}}]}}";
+	private String asJson = "{\"OptInWithValue\":{\"votes\":[{\"VotesWithValue\":{\"actor\":\"partyA\",\"votes\":[{\"VoteWithValue\":{\"actor\":\"partyA\",\"bid\":{\"issuevalues\":{\"iss\":\"val1\"}},\"minPower\":2,\"maxPower\":9,\"value\":100}}]}},{\"VotesWithValue\":{\"actor\":\"partyB\",\"votes\":[{\"VoteWithValue\":{\"actor\":\"partyB\",\"bid\":{\"issuevalues\":{\"iss\":\"val1\"}},\"minPower\":2,\"maxPower\":9,\"value\":60}},{\"VoteWithValue\":{\"actor\":\"partyB\",\"bid\":{\"issuevalues\":{\"iss\":\"val2\"}},\"minPower\":2,\"maxPower\":9,\"value\":40}}]}}]}}";
 
 	@Override
Index: events/src/test/java/geniusweb/inform/SettingsTest.java
===================================================================
--- events/src/test/java/geniusweb/inform/SettingsTest.java	(revision 32)
+++ events/src/test/java/geniusweb/inform/SettingsTest.java	(revision 33)
@@ -36,5 +36,5 @@
 			+ "{\"id\":\"party1\",\"profile\":\"ws:profile1\","
 			+ "\"protocol\":\"ws:localhost/protocol1\","
-			+ "\"progress\":{\"rounds\":{\"duration\":10,\"currentRound\":0,\"endtime\":999}},"
+			+ "\"progress\":{\"ProgressRounds\":{\"duration\":10,\"currentRound\":0,\"endtime\":999}},"
 			+ "\"parameters\":{}}}";
 
Index: events/src/test/java/geniusweb/inform/VotingTest.java
===================================================================
--- events/src/test/java/geniusweb/inform/VotingTest.java	(revision 32)
+++ events/src/test/java/geniusweb/inform/VotingTest.java	(revision 33)
@@ -40,5 +40,5 @@
 			Arrays.asList(new Offer(party1, bid1)), powers2);
 
-	private String asJson = "{\"Voting\":{\"offers\":[{\"offer\":{\"actor\":\"party1\",\"bid\":{\"issuevalues\":{\"iss\":\"val1\"}}}}],\"powers\":{\"party1\":2}}}";
+	private String asJson = "{\"Voting\":{\"offers\":[{\"Offer\":{\"actor\":\"party1\",\"bid\":{\"issuevalues\":{\"iss\":\"val1\"}}}}],\"powers\":{\"party1\":2}}}";
 
 	@Override
